*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  margin: 0;
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
h5,
p,
a {
  margin: 0;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: "Ovo", serif;
}

h1.coreen {
  font-family: "Gowun Batang", serif;
  line-height: 1.2;
}

.coreen {
  word-break: keep-all;
}

button {
  background-color: inherit;
  border: inherit;
  padding: inherit;
  margin: inherit;
}

body {
  background-color: #f5fed7;
  color: #354523;
  font-family: "Instrument Sans", sans-serif;
}

.link {
  position: relative;
}

.link,
.top-link:not(.actif) {
  cursor: pointer;
}

.link::before,
.top-link::before {
  content: "";
  width: 100%;
  height: 1px;
  position: absolute;
  background-color: #828a6a;
  bottom: -1px;
  display: block;
  right: 0;
  transition: all 0.2s ease-out;
}

.link:hover::before,
.top-link:hover::before {
  width: 0%;
  transition: all 0.2s ease-out;
}

.top-link.actif::before {
  opacity: 0;
}

footer .link::before {
  background-color: #354523;
}

/* ── HEADER ── */
header {
  position: fixed;
  top: 0;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 1.2rem 1.5rem;
}

header nav {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.top-link {
  color: #828a6a;
  text-decoration: none;
  position: relative;
  font-size: 0.9rem;
}

.top-link.actif,
.top-link:hover {
  color: #354523;
  transition: all 0.2s ease-out;
}

.header .top-link.actif::before {
  opacity: 0;
  transition: all 0.2s ease-out;
}

.header .top-link:not(.actif)::before {
  opacity: 1;
  transition: all 0.2s ease-out;
}

header nav span {
  color: #888888;
}

a {
  font-family: "Instrument Sans", sans-serif;
  font-weight: 400;
  font-size: 1rem;
  text-decoration: none;
  color: inherit;
}

a.btn {
  /* border: 1px solid #354523; */
  font-size: calc(20 / 16 * 1rem);
  border-radius: 999px;
  padding: 1rem 2rem;
  background-color: #354523;
  color: #f5f2d6;
  transition: all 0.2s ease-out;
}

a.btn:hover {
  background-color: #212c16;
  transition: all 0.2s ease-out;
}

/* ── FOOTER ── */
footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  color: #354523;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding: 1rem 1.5rem;
}

footer a {
  font-family: "Instrument Sans", sans-serif;
  font-weight: 400;
  font-size: 0.9rem;
}

.son {
  background: none;
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  outline: none;
  appearance: none;
  -webkit-appearance: none;
  box-shadow: none;
  position: absolute;
  bottom: 1rem;
  right: 1.5rem;
}

/* Par défaut : son ON visible, son OFF caché */
.icon-son-on {
  display: block;
}

.icon-son-off {
  display: none;
}

/* Quand muted : son ON caché, son OFF visible */
.son.muted .icon-son-on {
  display: none;
}

.son.muted .icon-son-off {
  display: block;
}
